/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package megg;

import mutex.Mutex;
import geladeira.Geladeira;
import galinhasscenes.GalinhasScenes;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.HPos;
import javafx.geometry.VPos;
import javafx.scene.Node;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Priority;
import javafx.scene.layout.Region;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;
import javafx.scene.web.WebEngine;
import javafx.scene.web.WebView;
import javafx.stage.Stage;
import javafx.stage.WindowEvent;
import netscape.javascript.JSObject;

/**
 *
 * @author Denilson
 */
public class MEGG extends Application {
    
    private Scene scene;
    
    @Override
    public void start(Stage stage) {
        // create the scene
        stage.setTitle("MEGG");  
        scene = new Scene(new Browser(stage),1100,618, Color.web("#666970"));
        stage.setMinWidth(800); 
        stage.setScene(scene);    
        stage.show();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
   
}

class Browser extends Region {
 
    final WebView browser = new WebView();
    final WebEngine webEngine = browser.getEngine();
    
    Stage currentStage = new Stage();
     
    public Browser(Stage stage) {
        //apply the styles
        getStyleClass().add("browser");
        // load the web page
        webEngine.load(MEGG.class.getResource("index.html").toExternalForm());
        //add the web view to the scene
        getChildren().add(browser);
        
        JSObject win = (JSObject) webEngine.executeScript("window");
        win.setMember("JSHandler", new Control());
        
        stage.setOnCloseRequest(new EventHandler<WindowEvent>() {
          public void handle(WindowEvent we) {
              currentStage.close();
          }
        });   

    }
    private Node createSpacer() {
        Region spacer = new Region();
        HBox.setHgrow(spacer, Priority.ALWAYS);
        return spacer;
    }
 
    @Override protected void layoutChildren() {
        double w = getWidth();
        double h = getHeight();
        layoutInArea(browser,0,0,w,h,0, HPos.CENTER, VPos.CENTER);
    }
 
    @Override protected double computePrefWidth(double height) {
        return 750;
    }
 
    @Override protected double computePrefHeight(double width) {
        return 500;
    }
    
    public class Control {
        int lang = 0;
        
        public void mut(){
            
            currentStage.close();
            currentStage = new Stage();
            currentStage.setResizable(false);
            
            Mutex NewWindow = new Mutex(currentStage, lang);
        }
        
        public void sem(){
            
            currentStage.close();
            currentStage = new Stage();
            currentStage.setResizable(false);
            
            Geladeira NewWindow = new Geladeira(currentStage, lang);
        }
        
        public void pro(){
            
            currentStage.close();
            currentStage = new Stage();
            currentStage.setResizable(false);
            
            GalinhasScenes newWindow = new GalinhasScenes(currentStage, lang);
        }
        
        public void abt(){
            currentStage.close();
        }
        
        public void ini(){
        }
        
        public void PT(){
            lang = 0;
        }
        
        public void EN(){
            lang = 1;
        }
    }
}