language = 'PT';
page = 'ini';

var btnoff = 'transparent';
var btnon = '#282828'

var natural_color = {};

var pageMap = {};

function refreshPage(){

  //alert(page+language);

  $('.centraldiv').html(pageMap[page + language]);
}

function setLang(newlang){
  language = newlang;

  if(language == 'PT'){
    $('.navbar').children('.sem').html('Semáforos');
    $('.navbar').children('.pro').html('Produtor / Consumidor');
    $('.navbar').children('.abt').html('Sobre');
  }else{
    $('.navbar').children('.sem').html('Semaphores');
    $('.navbar').children('.pro').html('Producer / Consumer');
    $('.navbar').children('.abt').html('About');
  }

  refreshPage();

  JSHandler[newlang]();
}

function setPage(newpage){
  page = newpage;

  //alert('.' + page);
  //$('.navbar').children('a').finish();
  $('.navbar').children('a').css('background-color', btnoff);
  $('.navbar').children('.' + page).css('background-color', btnon);

  refreshPage();

  //if(JSHandler!=undefined){
    JSHandler[newpage]();
  //}
}

$(document).ready(function() {

  $('#panelbar').css('left', '-' + ( $('#panelbar').width()/2 ).toString() + 'px');

  var passed = false;

  var navbar = $('#navbar');
  var content = $('#content');

  $(window).scroll(function(){
    if( passed != ($(this).scrollTop() > $('#panel').height()) ){
      passed = !passed;

      if(passed){
        navbar.css('position', 'fixed');
        navbar.css('margin-top', '-' + $('#panel').height().toString() + 'px');
        content.css('margin-top', navbar.height().toString() + 'px');
      }else{
        navbar.css('position', 'static');
        navbar.css('margin-top', '0px');
        content.css('margin-top', '0px');
      }
    }
  })

  $('#panelbar').children('span').css('height', $('#panelbar').height()); 
  
  $('#panelbar').children('a').mouseenter(function(){
    $(this).uniqueId();

    if(natural_color[$(this).attr('id')] == undefined){
      natural_color[$(this).attr('id')] = $(this).css('color');
    }

    $(this).animate({
      color: '#CCCCCC'
    },{
      queue: false
    })
  })
  
  $('#panelbar').children('a').mouseleave(function(){
    $(this).animate({
      color: natural_color[$(this).attr('id')]
    },{
      queue: false
    })
  })

  $('#navbar').children('a').uniqueId();
  
  $('#navbar').children('a').mouseenter(function(){
    $(this).animate({
      "background-color": btnon
    },{
      queue: false
    })
  })
  
  $('#navbar').children('a').mouseleave(function(){
    if($(this).attr("btntype")!=page){
      $(this).animate({
        "background-color": btnoff
      },{
        queue: false
      })
    }
  })

  //app.test();

  $('.centraldiv').children().each(function(){
    pageMap[$(this).attr('id')] = $(this).html();
  });

  setPage(page);
});